"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.showDescription = showDescription;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _logUpdate = require("log-update");

var _logUpdate2 = _interopRequireDefault(_logUpdate);

function showDescription(describe, promise) {
  var interval = setInterval(function () {
    (0, _logUpdate2["default"])(describe());
  }, 500);

  function stop() {
    clearInterval(interval);
    (0, _logUpdate2["default"])(describe());
  }

  return promise.then(function (result) {
    stop();
    return result;
  }, function (error) {
    stop();
    throw error;
  });
}
//# sourceMappingURL=printer.js.map