"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _adbkit = require("adbkit");

var _adbkit2 = _interopRequireDefault(_adbkit);

var _docopt = require("docopt");

var _packageJson = require("../package.json");

var adb = _adbkit2["default"].createClient();

exports.adb = adb;
var doc = "\nUsage:\n  deploy-droid --hockeyAppToken=<token> [--releaseType=<type>] [--deviceDescriptorFile=<filepath>]\n  deploy-droid --version\n  deploy-droid --help\n\nOptions:\n  --releaseType=<type>                HockeyApp release type [default: beta],\n                                      (alpha|beta|store|enterprise|<custom type>).\n  --deviceDescriptorFile=<filepath>   Filepath to a human readable file\n                                      on connected android devices, which describes that device.\n";

var options = (0, _docopt.docopt)(doc, {
  help: true,
  version: _packageJson.version
});

var hockeyAppToken = options["--hockeyAppToken"];
exports.hockeyAppToken = hockeyAppToken;
var releaseType = options["--releaseType"];
exports.releaseType = releaseType;
var deviceDescriptorFile = options["--deviceDescriptorFile"];
exports.deviceDescriptorFile = deviceDescriptorFile;
//# sourceMappingURL=setup.js.map